"""The main module, from where GSO is run."""
from orchestrator import OrchestratorCore
from orchestrator.cli.main import app as core_cli
from orchestrator.settings import AppSettings

# pylint: disable=unused-import
import gso.products  # noqa: F401

# pylint: disable=unused-import
import gso.workflows  # noqa: F401

app = OrchestratorCore(base_settings=AppSettings())

if __name__ == "__main__":
    core_cli()
